Loading...
Searching...
No Matches
vkd3d_shader_compile_info Struct Reference

A chained structure containing compilation parameters. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_compile_info:
[legend]

## Data Fields

enum vkd3d_shader_structure_type | type
| Must be set to VKD3D_SHADER_STRUCTURE_TYPE_COMPILE_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
struct vkd3d_shader_code | source
| Input source code or byte code.
enum vkd3d_shader_source_type | source_type
| Format of the input code passed in source.
enum vkd3d_shader_target_type | target_type
| Desired output format.
const struct vkd3d_shader_compile_option * | options
| Pointer to an array of compilation options.
unsigned int | option_count
| Size, in elements, of options.
enum vkd3d_shader_log_level | log_level
| Minimum severity of messages returned from the shader function.
const char * | source_name
| Name of the initial source file, which may be used in error messages or debug information.

## Detailed Description

A chained structure containing compilation parameters.

## Field Documentation

## next

const void* vkd3d_shader_compile_info::next

Optional pointer to a structure containing further parameters.

For a list of valid structures, refer to the respective function documentation. If no further parameters are needed, this field should be set to NULL.

## options

const struct vkd3d_shader_compile_option* vkd3d_shader_compile_info::options

Pointer to an array of compilation options.

This field is ignored if option_count is zero, but must be valid otherwise.

If the same option is specified multiple times, only the last value is used.

Options not relevant to or not supported by a particular shader compiler or scanner will be ignored.

## source_name

const char* vkd3d_shader_compile_info::source_name

Name of the initial source file, which may be used in error messages or debug information.

This parameter is optional and may be NULL.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h